//
//  ViewController.m
//  OnlineLocationDemo
//
//  Created by Macro on 2016/12/13.
//  Copyright © 2016年 Macro. All rights reserved.
//

#import "ViewController.h"
#import <OnlineLocationSDK/OnlineLocation.h>

@interface ViewController () <IndoorLocationDelegate>

//KEY的获取请到 http://lbs.amap.com 申请
@property(nonatomic, strong)NSString* key;

//请在线申请建筑物数据，建筑物数据申请详情请参阅：http://lbs.amap.com/console/apply/
@property(nonatomic, strong)NSString* buildingId;

//在线定位对象实例
@property(nonatomic, strong)OnlineLocation* indoorLocation;

//显示文本框
@property(nonatomic, strong)UITextView* textView;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.

    //初始化文本框和背景颜色
    self.view.backgroundColor = [UIColor blackColor];
    CGRect rect = self.view.frame;
    rect.origin.y = rect.size.height / 8;
    rect.size.height /= 2;
    self.textView = [[UITextView alloc]initWithFrame:rect];
    self.textView.backgroundColor = [UIColor blackColor];
    self.textView.textColor = [UIColor grayColor];
    self.textView.editable = NO;
    [self.view addSubview:self.textView];

}


-(void)viewDidAppear:(BOOL)animated
{
    [self startLocation];
}

-(void)viewDidDisappear:(BOOL)animated
{
    [self stopLocation];
}



-(void)startLocation
{
    //KEY的获取请到LBS.AMAP.COM 申请
    self.key = @"请输入自己的KEY";

    //请在线申请建筑物数据，建筑物数据申请详情请参阅：http://lbs.amap.com/console/apply/
    self.buildingId = @"请输入建筑物ID";

    //初始化室内定位对象
    self.indoorLocation = [[OnlineLocation alloc]initWithDelegate:self];

    //设置KEY
    self.indoorLocation.key = self.key;

    //设置建筑物
    self.indoorLocation.buildingId = self.buildingId;

    //启动室内定位
    [self.indoorLocation startLocation];

    self.textView.text = @"室内定位开始";
}

-(void)stopLocation
{

    //停止定位
    [self.indoorLocation stopLocation];

    //释放定位对象
    self.indoorLocation = nil;

    self.textView.text = @"室内定位停止";
}


-(void)indoorLocation:(LocationBase *)indoorLocation didLocationResult:(LocationResult *)result
{
    //显示定位结果
    self.textView.text = result.description;
}

-(void)indoorLocation:(LocationBase *)indoorLocation didLocationError:(NSString *)buildingId error:(NSError *)error
{
    //显示错误信息
    self.textView.text = error.description;
}


@end
